geos::triangulate::polygon::TriDelaunayImprover Class Reference

`#include <TriDelaunayImprover.h>`

## Public Member Functions

| TriDelaunayImprover (TriList< Tri > &p_triList)

## Static Public Member Functions

static void | improve (TriList< Tri > &triList)

## Detailed Description

Improves the quality of a triangulation of Tri via iterated Delaunay flipping. This produces the Constrained Delaunay Triangulation with the constraints being the boundary of the input triangulation.

Author
  mdavis

## Member Function Documentation

## improve()

void geos::triangulate::polygon::TriDelaunayImprover::improve | ( | TriList< Tri > & | triList | ) |

static

Improves the quality of a triangulation of Tri via iterated Delaunay flipping. The Tris are assumed to be linked into a Triangulation (e.g. via TriangulationBuilder).

Parameters

  triList | the list of Tris to flip.

The documentation for this class was generated from the following file:

- TriDelaunayImprover.h